* {
  padding: 0;
  margin: 0;
  font-family: Calibri;
}

/* LEVELS */

#levels {
  background-color: #ddd;
  height: 100%;
}

.flex {
  display: flex;
}

.level {
  width: 100px;
  height: 100px;
  border: 2px solid #aaa;
  border-radius: 25px;
  font-size: 50;
  margin: 10;
  cursor: pointer;
  text-align: center;
  vertical-align: middle;
  line-height: 100px;
  transition-delay: initial;
  animation: animation 4s infinite;
  transition: all 0.5s ease-in-out;
  margin-left: 15px;
  margin-right: 15px;
}

.container {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 90%;
  z-index: 100;
}

.container2 {
  height: 10%;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 100;
}

.container-username {
  position: fixed;
  top: 0;
  left: 0;
  height: 90%;
  width: 100%;
}

.container-user-in {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.centerBox {
  width: 500px;
  height: 100%;
  box-sizing: border-box;
}

.centerFooter {
  width: 500px;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.centerBox-content {
  height: 90%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.centerBox-header {
  height: 10%;
  width: 100%;
  text-align: center;
}

.a-levels{
    display: none
}

.centerUser {
  height: 200px;
  width: 400px;
  text-align: center;
  background-color: #bbb;
  border-radius: 25px;
  padding: 15px 0px;
  box-sizing: border-box;
  z-index: 101;
}

.centerUser p {
  font-weight: bold;
  color: #000;
}

input {
  border: none;
  padding: 15px 20px;
  border-radius: 25px;
  background: rgba(255, 255, 255, 0.7);
  width: 80%;
  margin: 20px 10%;
  display: block;
}

.flex button {
  margin: 15 20;
}

.levels-cancel {
  width: 40%;
  box-sizing: border-box;
}

.levels-a {
  width: 50%;
  box-sizing: border-box;
}

.levels-a button {
  width: 85%;
}

.back {
  width: 250px;
  margin: 0 auto;
}

.level:hover {
  text-align: center;
  vertical-align: middle;
  line-height: 108px;
  width: 108px;
  height: 108px;
}

a {
  text-decoration: none;
  color: inherit;
}

h1 {
  font-size: 45;
  color: #fff;
  letter-spacing: 15;
}

#levels-h1 {
  margin-top: 10px;
}

img {
  width: 100px;
  height: 100px;
}

/* MAIN */

#main {
  background-color: #eee;
}

canvas {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 99;
}

.main {
  width: 100%;
  height: 100%;
  /*
    display: flex;
  justify-content: center;
  align-items: center;
*/
}

.on,
.off {
  position: absolute;
  top: 0;
  left: 0;
  cursor: pointer;
  z-index: 160;
  width: 70px;
  height: 70px;
}

.off {
  display: none;
}

.shade {
  position: fixed;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.6);
  width: 100%;
  height: 100%;
  z-index: 150;
  display: none;
}

#stripe {
  width: 100%;
  height: 10px;
  background-color: #f00;
  position: absolute;
  bottom: 0;
  z-index: 149;
  display: none;
}

.in {
  width: 100%;
  height: 100%;
  z-index: 151;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.a-type {
  text-decoration: none;
  color: inherit;
  width: 35%;
}

button {
  border: 1.5px solid;
  border-color: rgba(255, 255, 255, 0.4);
  /*    background: #555;*/
  color: #444;
  width: 90%;
  padding: 10px 0px;
  font-weight: bold;
  background-color: rgba(255, 255, 255, 0.7);
  border-radius: 12px;
  font-size: 16;
  display: block;
  transition-delay: initial;
  animation: animation 4s infinite;
  transition: all 0.5s ease-in-out;
  margin: 30 5%;
  cursor: pointer;
}

button:hover:not(.not) {
  background: #555;
  border-color: #555;
  color: #fff;
}

.center-in {
  width: 500px;
  height: 300px;
}

.soundOff {
  display: none;
}

.dark {
  background: #555;
  border-color: #555;
  color: #fff;
}

.score {
  z-index: 100;
  position: absolute;
  bottom: 5px;
  right: 5px;
  width: 100%;
  height: 60px;
}

#score-p {
  position: absolute;
  right: 0;
  bottom: 5;
  font-size: 40px;
}

#highscore-p {
  position: absolute;
  margin-left: 10px;
  bottom: 50;
  font-size: 20px;
}

#level-p {
  position: absolute;
  bottom: 5;
  margin-left: 10px;
  float: left;
  font-size: 20px;
}

.pop-up {
  border-radius: 20px;
  width: 450px;
  height: 350px;
  display: none;
}

#pu-score-p {
  color: #fff;
  font-size: 20;
  margin-top: 10px;
}

.nextLevel {
  display: none;
}

/* SCORES */

.scores-main {
  width: 100%;
  height: 90%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #ddd;
}

.scores-div {
  text-align: center;
  width: 700px;
  height: 100%;
}

.scores-div p {
  font-size: 20;
  margin-top: 10px;
  color: #000;
  font-weight: bold;
}

.scorestable {
  width: 100%;
  text-align: center;
  margin-top: 25px;
}

.scores-footer {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 10%;
  width: 100%;
  background-color: #ddd;
}

table {
  text-align: center;
  background-color: #fff;
  /*    box-shadow: 0 0px 40px 0px rgba(0, 0, 0, 0.15);*/
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
}

td {
  background-color: #fff;
  margin: 100px;
  width: 30%;
  height: 30px;
}

.id {
  width: 10%;
}

th {
  font-family: Calibri;
  font-size: 18px;
  color: #000;
  line-height: 1.4;
  -webkit-box-shadow: 3px 81px 278px 22px rgba(0, 0, 0, 0.09);
}

thead {
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
  overflow: hidden;
}
